# Created by pyp2rpm-3.3.2
%global pypi_name setuptools-cython

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        1%{?dist}
Summary:        Cython setuptools integration

License:        http://www.gnu.org/licenses/gpl-2.0.html
URL:            http://pypi.python.org/pypi/setuptools_cython/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/setuptools_cython-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Allows compiling Cython extensions in setuptools by putting setuptools_cython
in your setup_requires.Usage Use setuptools, add setuptools_cython to your
setup_requires.Some verbatim code is required to make Extension behave as
expected.Usage example setup.py:: !/usr/bin/env python from setuptools import
setup from distutils.extension import Extension setuptools DWIM monkey-patch
madness import...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(cython)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Allows compiling Cython extensions in setuptools by putting setuptools_cython
in your setup_requires.Usage Use setuptools, add setuptools_cython to your
setup_requires.Some verbatim code is required to make Extension behave as
expected.Usage example setup.py:: !/usr/bin/env python from setuptools import
setup from distutils.extension import Extension setuptools DWIM monkey-patch
madness import...


%prep
%autosetup -n setuptools_cython-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/setuptools_cython.py
%{python3_sitelib}/setuptools_cython-%{version}-py?.?.egg-info

%changelog
* Wed Jan 23 2019 mockbuilder - 0.2.1-1
- Initial package.